Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0003841 [JEDI VCL] 00 JVCL Components major always 2006-07-28 08:14 2007-01-03 11:40
Reporter El Salvador View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status closed   Product Version 3.20
Summary 0003841: JvFormMagnet, FormGlue doesn't work
Description Component JvFormMagnet. BDS 2006 and JVCL 3.20 on Windows XP SP2.

Property FormGlue doesn't work.
Additional Information
Tags No tags attached.
Attached Files zip file icon MagnetForm.zip [^] (214,286 bytes) 2006-07-28 13:53

- Relationships

-  Notes
(0009876)
obones (administrator)
2006-07-28 13:33

Please provide the zipped sources of a sample application showing what you think is not working.
I just tested with two forms, one with the form magnet and it grabbed the other form just fine.
(0009879)
El Salvador (reporter)
2006-07-28 13:54

Ok, Obones. Thank you.
(0009881)
obones (administrator)
2006-07-28 14:36

Well, that's what I suspected, your sample shows that the component works just fine. The intended behaviour is as follows:

A form with an active magnet and FormGlue set on it will glue any other form in the application, provided its borders are within the margin set in the component.

If you expect the other forms, who have no Magnet component on them to magically glue themselves, then it's not what the component is for.

As it is, it works as designed.
(0009883)
El Salvador (reporter)
2006-07-28 15:29

I want to do the same behaviour of winamp: the form1 is the main, it should glue to form2 and form2 should glue to form1. Is not important which form i'm dragging they should glue always, but I want that all the glued forms move when i drag form1, and when i drag form2 it unglues.
(0009884)
obones (administrator)
2006-07-29 07:08

I have already told you:

If there is no magnet on a form, it won't be attracted to others!
To do what you want, you need a magnet on all forms, and FormGlue set to False on all forms but the main one.
Play around with the properties and you will see it works.
This is issue is now closed.
(0010418)
El Salvador (reporter)
2006-11-06 06:03

Nothing, this component doesn't work correctly. Look: http://salvador.p2pforum.it/download/jvMagnetForm/jvMagnetForm.html [^]
(0010489)
obones (administrator)
2007-01-03 11:39

I tried your exact steps from the camtasia video and I see NO PROBLEM AT ALL.
Mind you, I'm using the subversion content, it might have changed in between but I seriously doubt it.
So please use the subversion content or daily (http://jvcl.sf.net/daily/) [^] and leave that issue alone.

- Issue History
Date Modified Username Field Change
2006-07-28 08:14 El Salvador New Issue
2006-07-28 13:33 obones Note Added: 0009876
2006-07-28 13:33 obones Status new => feedback
2006-07-28 13:53 El Salvador File Added: MagnetForm.zip
2006-07-28 13:54 El Salvador Note Added: 0009879
2006-07-28 14:36 obones Status feedback => resolved
2006-07-28 14:36 obones Resolution open => no change required
2006-07-28 14:36 obones Assigned To => obones
2006-07-28 14:36 obones Note Added: 0009881
2006-07-28 15:29 El Salvador Status resolved => feedback
2006-07-28 15:29 El Salvador Resolution no change required => reopened
2006-07-28 15:29 El Salvador Note Added: 0009883
2006-07-29 07:08 obones Status feedback => resolved
2006-07-29 07:08 obones Resolution reopened => no change required
2006-07-29 07:08 obones Note Added: 0009884
2006-11-06 06:03 El Salvador Status resolved => feedback
2006-11-06 06:03 El Salvador Resolution no change required => reopened
2006-11-06 06:03 El Salvador Note Added: 0010418
2007-01-03 11:39 obones Status feedback => closed
2007-01-03 11:39 obones Note Added: 0010489
2007-01-03 11:40 obones Resolution reopened => fixed
2007-01-03 11:40 obones Fixed in Version => Daily / SVN


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker